Quassel IRC - Bug #573

Topic disappears from the topic widget on topic change
02/21/2009 01:14 AM - Nightfall

Status: Resolved Start date: 02/21/2009
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Quassel Client Estimated time: 0.00 hour

Target version:
Version: 0.4.0 0S: Any

Description
When the topic gets changed, it disappears from the topic widget (it appears again when you switch to another channel).

Associated revisions

Revision ef20dd04ad6ed1911fa070c5dafe2498d9a4fc9d - 08/22/2009 12:13 AM - Manuel Nickschas
Redesign the topic widget

This replaces the old ugly hackish topicwidget by something cleaner. We now use a stacked widget to switch
between display and edit mode. In edit mode, we use a MultiLineEdit rather than a single QLineEdit.

Instead of doing voodooish resizing of the parent widget, we use proper sizeHints and sizePolicies that make
Qt's layout system actually work with this.

There are still some features missing though, notably clickable URLs and the clear button. Will
be implemented ASAP.

Closes #5086, fixes #573, closes #608.

Revision ef20dd04 - 08/22/2009 12:13 AM - Manuel Nickschas

Redesign the topic widget

This replaces the old ugly hackish topicwidget by something cleaner. We now use a stacked widget to switch
between display and edit mode. In edit mode, we use a MultiLineEdit rather than a single QLineEdit.

Instead of doing voodooish resizing of the parent widget, we use proper sizeHints and sizePolicies that make

Qt's layout system actually work with this.

There are still some features missing though, notably clickable URLs and the clear button. Will
be implemented ASAP.

Closes #5086, fixes #573, closes #608.

History

#1 - 05/15/2009 01:03 AM - Sputnick

- Status changed from New to Confirmed

Topic widget is pending a rewrite anyway; this bug will then magically disappear :)

#2 - 08/22/2009 12:11 AM - Sputnick
- Status changed from Confirmed to Resolved

- % Done changed from 0 to 100

Applied in changeset ef20dd04ad6ed1911fa070c5dafe2498d9a4fc9d.
